import request from '@/utils/request'

// 查询cmc合同评审列表
export function listContract(query) {
  return request({
    url: '/oa/contract/list',
    method: 'get',
    params: query
  })
}

// 查询cmc合同评审详细
export function getContract(contractId) {
  return request({
    url: '/oa/contract/' + contractId,
    method: 'get'
  })
}

// 新增cmc合同评审
export function addContract(data) {
  return request({
    url: '/oa/contract',
    method: 'post',
    data: data
  })
}

// 修改cmc合同评审
export function updateContract(data) {
  return request({
    url: '/oa/contract',
    method: 'put',
    data: data
  })
}

// 删除cmc合同评审
export function delContract(contractId) {
  return request({
    url: '/oa/contract/' + contractId,
    method: 'delete'
  })
}
